import type { _NSData } from "../Foundation/NSData.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRFabricInfo extends _NSObject {
    static alloc(): _MTRFabricInfo;
    static new(): _MTRFabricInfo;
    init(): _MTRFabricInfo;
    /** Root public key for the fabric. */
    rootPublicKey(): _NSData;
    /** Vendor identifier for the fabric. */
    vendorID(): _NSNumber;
    /** Fabric identifier (scoped to the root public key) for the fabric. */
    fabricID(): _NSNumber;
    /** Node identifier for the given node on the fabric. */
    nodeID(): _NSNumber;
    /** The string label for the fabric. May be empty. */
    label(): _NSString;
    /**
     * The root certificate for the fabric. This might be nil if a root certificate is not available (e.g. if this is information about some remote node that we don't have root certificate information for).
     */
    rootCertificate(): _NSData | null;
    /** The same root certificate as rootCertificate, in Matter TLV format. */
    rootCertificateTLV(): _NSData | null;
    /**
     * The intermediate certificate for the node. This might be nil if there is no intermediate certificate, or if the node is not on a fabric we have access to.
     */
    intermediateCertificate(): _NSData | null;
    /**
     * The same intermediate certificate as intermediateCertificate, in Matter TLV format.
     */
    intermediateCertificateTLV(): _NSData | null;
    /**
     * The operational certificate for the node. This might be nil if the node is not on a fabric we have access to.
     */
    operationalCertificate(): _NSData | null;
    /**
     * The same operational certificate as operationalCertificate, in Matter TLV format.
     */
    operationalCertificateTLV(): _NSData | null;
    /** The fabric index which identifies the fabric on the node. */
    fabricIndex(): _NSNumber;
}
